Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.document
Class StoredField

    java.lang.Object
      org.apache.lucene.document.Field
          org.apache.lucene.document.StoredField

All Implemented Interfaces:
  IndexableField

    public final class StoredField

extends Field

A field whose value is stored so that `IndexSearcher.doc(int)` and `IndexReader.document(int, org.apache.lucene.index.StoredFieldVisitor)` will return the field and its value.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.lucene.document.Field
`Field.Index, Field.Store, Field.TermVector`

Field Summary
`static FieldType` | `TYPE` Type for a stored-only field.

Fields inherited from class org.apache.lucene.document.Field
`boost, fieldsData, name, tokenStream, type`

Constructor Summary
`StoredField(String name, byte[] value)` Create a stored-only field with the given binary value.
`StoredField(String name, byte[] value, int offset, int length)` Create a stored-only field with the given binary value.
`StoredField(String name, BytesRef value)` Create a stored-only field with the given binary value.
`StoredField(String name, double value)` Create a stored-only field with the given double value.
`StoredField(String name, float value)` Create a stored-only field with the given float value.
`StoredField(String name, int value)` Create a stored-only field with the given integer value.
`StoredField(String name, long value)` Create a stored-only field with the given long value.
`StoredField(String name, String value)` Create a stored-only field with the given string value.

Method Summary

Methods inherited from class org.apache.lucene.document.Field
`binaryValue, boost, fieldType, name, numericValue, readerValue, setBoost, setBytesValue, setBytesValue, setByteValue, setDoubleValue, setFloatValue, setIntValue, setLongValue, setReaderValue, setShortValue, setStringValue, setTokenStream, stringValue, tokenStream, tokenStreamValue, toString, translateFieldType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TYPE

    public static final FieldType TYPE

  Type for a stored-only field.

Constructor Detail

### StoredField

    public StoredField(String name,
                       byte[] value)

  Create a stored-only field with the given binary value.

  NOTE: the provided byte[] is not copied so be sure not to change it until you're done with this field.

  Parameters:
    `name` - field name
    `value` - byte array pointing to binary content (not copied)
  Throws:
    `IllegalArgumentException` - if the field name is null.

### StoredField

    public StoredField(String name,
                       byte[] value,
                       int offset,
                       int length)

  Create a stored-only field with the given binary value.

  NOTE: the provided byte[] is not copied so be sure not to change it until you're done with this field.

  Parameters:
    `name` - field name
    `value` - byte array pointing to binary content (not copied)
    `offset` - starting position of the byte array
    `length` - valid length of the byte array
  Throws:
    `IllegalArgumentException` - if the field name is null.

### StoredField

    public StoredField(String name,
                       BytesRef value)

  Create a stored-only field with the given binary value.

  NOTE: the provided BytesRef is not copied so be sure not to change it until you're done with this field.

  Parameters:
    `name` - field name
    `value` - BytesRef pointing to binary content (not copied)
  Throws:
    `IllegalArgumentException` - if the field name is null.

### StoredField

    public StoredField(String name,
                       String value)

  Create a stored-only field with the given string value.

  Parameters:
    `name` - field name
    `value` - string value
  Throws:
    `IllegalArgumentException` - if the field name or value is null.

### StoredField

    public StoredField(String name,
                       int value)

  Create a stored-only field with the given integer value.

  Parameters:
    `name` - field name
    `value` - integer value
  Throws:
    `IllegalArgumentException` - if the field name is null.

### StoredField

    public StoredField(String name,
                       float value)

  Create a stored-only field with the given float value.

  Parameters:
    `name` - field name
    `value` - float value
  Throws:
    `IllegalArgumentException` - if the field name is null.

### StoredField

    public StoredField(String name,
                       long value)

  Create a stored-only field with the given long value.

  Parameters:
    `name` - field name
    `value` - long value
  Throws:
    `IllegalArgumentException` - if the field name is null.

### StoredField

    public StoredField(String name,
                       double value)

  Create a stored-only field with the given double value.

  Parameters:
    `name` - field name
    `value` - double value
  Throws:
    `IllegalArgumentException` - if the field name is null.

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.